%define module  PQueue
%define version 0.2
%define release %mkrel 4

Summary: 	%{module} module for python
Name: 		python-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	LGPL
Group: 		Development/Python
Source: 	%{module}-%{version}.tar.xz
Patch:		%{name}-0.2.lib64.patch
Patch1:		python-PQueue-0.2.py25.patch
Url:		http://www.csse.monash.edu.au/hons/projects/1999/Andrew.Snare
BuildRequires:	python-devel
BuildRequires:	autoconf2.1
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description 
This C extension implements a priority-queue object using a fibonacci
heap as the underlying data structure.

%prep
%setup -q -n %{module}
%patch -p 1
%patch1 -p 1

%build
autoconf-2.13
%configure2_5x
make

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_libdir}/python%{pyver}/site-packages
install -m 755 ./pqueuemodule.so %{buildroot}%{_libdir}/python%{pyver}/site-packages/pqueuemodule.so

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%py_platsitedir/*


%changelog
* Sun Aug 11 2013 billybot <billybot>
- update
